summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCiaran McCreesh <ciaranm@gentoo.org>2005-01-05 04:09:34 +0000
committerCiaran McCreesh <ciaranm@gentoo.org>2005-01-05 04:09:34 +0000
commitbe8eee0b9f80000962c7fa07b075f56eec2e4845 (patch)
tree7fc57ef42deba84c69e47fccf268df16b72dd416 /eclass/vim-plugin.eclass
parentNew package, bug #76711 (Manifest recommit) (diff)
downloadgentoo-2-be8eee0b9f80000962c7fa07b075f56eec2e4845.tar.gz
gentoo-2-be8eee0b9f80000962c7fa07b075f56eec2e4845.tar.bz2
gentoo-2-be8eee0b9f80000962c7fa07b075f56eec2e4845.zip
fix annoying userpriv warnings, bug #76717
Diffstat (limited to 'eclass/vim-plugin.eclass')
-rw-r--r--eclass/vim-plugin.eclass8
1 files changed, 6 insertions, 2 deletions
diff --git a/eclass/vim-plugin.eclass b/eclass/vim-plugin.eclass
index 5b33e9421c8d..e9bee246513c 100644
--- a/eclass/vim-plugin.eclass
+++ b/eclass/vim-plugin.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/vim-plugin.eclass,v 1.9 2004/11/13 18:25:52 ciaranm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/vim-plugin.eclass,v 1.10 2005/01/05 04:09:34 ciaranm Exp $
#
# This eclass simplifies installation of app-vim plugins into
# /usr/share/vim/vimfiles. This is a version-independent directory
@@ -23,8 +23,12 @@ SLOT="0"
vim-plugin_src_install() {
local f
+ ebegin "Fixing file permissions"
# Make sure perms are good
- chmod -R a+rX ${S}
+ chmod -R a+rX ${S} || die "chmod failed"
+ find ${S} -user 'portage' -exec chown root '{}' \; || die "chown failed"
+ find ${S} -group 'portage' -exec chgrp root '{}' \; || die "chgrp failed"
+ eend $?
# Install non-vim-help-docs
cd ${S}